\paper {
  songinfoMarkup =
    #(make-on-the-fly-markup
      (lambda (layout props m)
        (let ((blockwidth (* (chain-assoc-get 'header:songinfo-size-factor props 0.9) (ly:output-def-lookup layout 'line-width)))
              (between-poet-and-composer-markup (chain-assoc-get 'header:between-poet-and-composer-markup props (make-hspace-markup 3)))
              (poet-maybe-with-composer (chain-assoc-get 'songinfo:poet-maybe-with-composer props #f))
              (composer (chain-assoc-get 'songinfo:composer props #f))
              (copyright (chain-assoc-get 'songinfo:copyright props #f))
              (infotext (chain-assoc-get 'songinfo:infotext props #f))
              (translation (chain-assoc-get 'songinfo:translation props #f))
              (spelling (chain-assoc-get 'songinfo:spelling props #f))
              (year_text (chain-assoc-get 'songinfo:year_text props #f))
              (year_melody (chain-assoc-get 'songinfo:year_melody props #f)))
          (interpret-markup layout props
            (markup
              #:override '(baseline-skip . 3.0)
              #:override `(line-width . ,blockwidth)
              #:fontsize songInfoFontSize
              #:sans
              (make-justify-markup (list
                (if poet-maybe-with-composer (markup
                  (if year_text (make-concat-markup (list poet-maybe-with-composer ", " year_text)) poet-maybe-with-composer) between-poet-and-composer-markup) "")
                (if composer (if year_melody (make-concat-markup (list composer ", " year_melody)) composer) "")
                (make-justify-string-markup (string-append
                  (if copyright (string-append "© " copyright) "")
                  (if infotext (string-append "\n\n" infotext) "")
                  (if translation (string-append "\n\nÜbersetzung: " translation) "")
                  (if spelling (string-append "\n\nAussprache: " spelling) "")
              ))))))))
      (make-null-markup)
    )
}